%bcond_with    tests

Summary:       Fast and correct UTF-8 I/O
Name:          perl-PerlIO-utf8_strict
Version:       0.009
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/PerlIO-utf8_strict
Source0:       https://cpan.metacpan.org/modules/by-module/PerlIO/PerlIO-utf8_strict-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make perl-devel perl-generators perl-interpreter
BuildRequires: perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(XSLoader)
%if %{with tests}
BuildRequires: perl(Carp) perl(Exporter) perl(File::Spec::Functions) perl(IO::File)
BuildRequires: perl(IO::Handle) perl(lib) perl(Test::Exception) perl(Test::More) perl(utf8)
%endif

%{?perl_default_filter}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's default :utf8 layer it
checks the input for correctness.

%prep
%autosetup -n PerlIO-utf8_strict-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
%if %{with tests}
make test
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/PerlIO/
%{perl_vendorarch}/PerlIO/
%{_mandir}/man3/PerlIO::utf8_strict.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.009-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.009-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.009-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.009-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 Shuo Wang <abushwang@tencent.com> - 0.009-1
- initial build
